Package org.gnupg

# Enum Class GnuPGDummyExtension

java.lang.Object
java.lang.Enum<GnuPGDummyExtension>
org.gnupg.GnuPGDummyExtension

All Implemented Interfaces:
  `Serializable`, `Comparable<GnuPGDummyExtension>`, `Constable`

public enum GnuPGDummyExtension extends Enum<GnuPGDummyExtension>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIVERT_TO_CARD`
A stub to access smartcards.
`NO_PRIVATE_KEY`
Do not store the secret part at all.

## Method Summary

Modifier and Type
Method
Description
`int`
`getId()`
`static GnuPGDummyExtension`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static GnuPGDummyExtension[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NO_PRIVATE_KEY

public static final GnuPGDummyExtension NO_PRIVATE_KEY
Do not store the secret part at all.

### DIVERT_TO_CARD

public static final GnuPGDummyExtension DIVERT_TO_CARD
A stub to access smartcards.

## Method Details

### values

public static GnuPGDummyExtension[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static GnuPGDummyExtension valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

public int getId()